Crash near null [@ mozilla::dom::AudioNode::AudioNode]

RESOLVED FIXED in Firefox 53

Status

()

defect
P1
critical
Rank:
15
RESOLVED FIXED
2 years ago
2 years ago

People

(Reporter: truber, Assigned: padenot)

Tracking

(Blocks 1 bug, {crash, csectype-nullptr, testcase})

Trunk
mozilla55
Points:
---
Dependency tree / graph
Bug Flags:
in-testsuite +
qe-verify -

Firefox Tracking Flags

(firefox52 unaffected, firefox-esr52 unaffected, firefox53 fixed, firefox54 fixed, firefox55 fixed)

Details

Attachments

(3 attachments, 1 obsolete attachment)

Posted file testcase.html
The attached testcase causes a crash near null in mozilla-central rev 34c6c2f302e7.

==19011==ERROR: AddressSanitizer: SEGV on unknown address 0x000000000008 (pc 0x7f1ed98dfb62 bp 0x7ffeb84f8750 sp 0x7ffeb84f8640 T0)
    #0 0x7f1ed98dfb61 in mozilla::dom::AudioNode::AudioNode(mozilla::dom::AudioContext*, unsigned int, mozilla::dom::ChannelCountMode, mozilla::dom::ChannelInterpretation) /home/worker/workspace/build/src/dom/media/webaudio/AudioNode.cpp:5
7:25
    #1 0x7f1ed997bc5d in mozilla::dom::ScriptProcessorNode::ScriptProcessorNode(mozilla::dom::AudioContext*, unsigned int, unsigned int, unsigned int) /home/worker/workspace/build/src/dom/media/webaudio/ScriptProcessorNode.cpp:491:5
    #2 0x7f1ed98f836c in mozilla::dom::AudioContext::CreateScriptProcessor(unsigned int, unsigned int, unsigned int, mozilla::ErrorResult&) /home/worker/workspace/build/src/dom/media/webaudio/AudioContext.cpp:350:9
    #3 0x7f1ed7324d99 in mozilla::dom::BaseAudioContextBinding::createScriptProcessor(JSContext*, JS::Handle<JSObject*>, mozilla::dom::AudioContext*, JSJitMethodCallArgs const&) /home/worker/workspace/build/src/obj-firefox/dom/bindings/Bas
eAudioContextBinding.cpp:654:65
    #4 0x7f1ed896b787 in mozilla::dom::GenericBindingMethod(JSContext*, unsigned int, JS::Value*) /home/worker/workspace/build/src/dom/bindings/BindingUtils.cpp:2953:13
    #5 0x7f1ede46943f in CallJSNative /home/worker/workspace/build/src/js/src/jscntxtinlines.h:282:15
Flags: in-testsuite?
Rank: 15
Priority: -- → P1
I failed to reproduce with the build from https://queue.taskcluster.net/v1/task/RP9LnqjVSZqnYklLr-JXaQ/runs/0/artifacts/public/build/target.tar.bz2
after allowing the site to create popups and reloading a few times.  Any other STR?
Sorry I also had e10s disabled.

Works for me with these prefs:
user_pref("dom.disable_open_during_load", false); // allow popups
user_pref("browser.tabs.remote.autostart.2", false); // disable e10s
Assignee: nobody → padenot
Baku, see the commit message, I'm about to change the spec to allow this.

The crash test does not work, but if I run it locally, it works fine. Not sure what's up really, any idea ?
Comment on attachment 8844420 [details]
Bug 1343550 - Prevent creating AudioNodes on an AudioContext that has been disconnected from its owner.

https://reviewboard.mozilla.org/r/117896/#review119610

This is correct but please fix also ConstantSourceNode: its CTOR doesn't use CheckClosed
Attachment #8844420 - Flags: review?(amarchesini) → review+
Comment on attachment 8844419 [details]
Bug 1343550 - Prevent creating AudioNodes on an AudioContext that has been disconnected from its owner.

https://reviewboard.mozilla.org/r/117894/#review119612
Attachment #8844419 - Flags: review?(amarchesini) → review+
> The crash test does not work, but if I run it locally, it works fine. Not
> sure what's up really, any idea ?

Locally it works after allowing the popup. in non-e10s. I haven't tested it with e10s.
Pushed by paul@paul.cx:
https://hg.mozilla.org/integration/mozilla-inbound/rev/9180c9b4adc0
Prevent creating AudioNodes on an AudioContext that has been disconnected from its owner. r=baku
https://hg.mozilla.org/integration/mozilla-inbound/rev/1aa20dad5c31
Crashtest. r=baku
Backed out for failing e.g. its own crashtest:

https://hg.mozilla.org/integration/mozilla-inbound/rev/a4653bf663786a398fb3b971cb8bd2f9da4d554d
https://hg.mozilla.org/integration/mozilla-inbound/rev/7792317543c7af77568934202f16f763116117b7

Push with failures: https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&revision=1aa20dad5c31bc1629516af77266266e1074fb26&filter-resultStatus=testfailed&filter-resultStatus=busted&filter-resultStatus=exception&filter-resultStatus=retry&filter-resultStatus=usercancel&filter-resultStatus=runnable
Failure log example (please check all the failing tests for that push): https://treeherder.mozilla.org/logviewer.html#?job_id=82770644&repo=mozilla-inbound

[task 2017-03-09T13:40:23.335300Z] 13:40:23     INFO - REFTEST TEST-LOAD | http://localhost:37802/1489066766627/4/1343550.html | 522 / 3170 (16%)
[task 2017-03-09T13:40:23.424089Z] 13:40:23     INFO - JavaScript error: http://localhost:37802/1489066766627/4/1343550.html, line 12: TypeError: a is null
[task 2017-03-09T13:40:32.713831Z] 13:40:32     INFO - ###!!! [Parent][MessageChannel] Error: (msgtype=0x2C0082,name=PBrowser::Msg_Destroy) Channel error: cannot send/recv
[task 2017-03-09T13:40:32.715558Z] 13:40:32     INFO - JavaScript error: resource://app/modules/ContentCrashHandlers.jsm, line 137: TypeError: WeakMap key must be an object, got undefined
[task 2017-03-09T13:46:02.721125Z] 13:46:02    ERROR - REFTEST ERROR | file:///home/worker/workspace/build/tests/reftest/tests/dom/media/test/crashtests/1343550.html | application timed out after 330 seconds with no output
[task 2017-03-09T13:46:02.724211Z] 13:46:02    ERROR - REFTEST ERROR | Force-terminating active process(es).
[task 2017-03-09T13:46:02.726522Z] 13:46:02     INFO - REFTEST TEST-INFO | started process screentopng
[task 2017-03-09T13:46:03.079743Z] 13:46:03     INFO - REFTEST TEST-INFO | screentopng: exit 0
[task 2017-03-09T13:46:03.285144Z] 13:46:03     INFO - TEST-UNEXPECTED-FAIL | file:///home/worker/workspace/build/tests/reftest/tests/dom/media/test/crashtests/1343550.html | application terminated with exit code 6
[task 2017-03-09T13:46:03.285521Z] 13:46:03     INFO - REFTEST INFO | Downloading symbols from: https://queue.taskcluster.net/v1/task/UdAvlb1oTti1mDblx7rikg/artifacts/public/build/target.crashreporter-symbols.zip
[task 2017-03-09T13:46:08.472329Z] 13:46:08     INFO - REFTEST INFO | Copy/paste: /usr/local/bin/linux64-minidump_stackwalk /tmp/tmpi3tmse.mozrunner/minidumps/58519b88-24e6-5a1a-055f449d-6e46e909.dmp /tmp/tmpOxJNVB
[task 2017-03-09T13:46:14.137982Z] 13:46:14     INFO - REFTEST INFO | Saved minidump as /home/worker/workspace/build/blobber_upload_dir/58519b88-24e6-5a1a-055f449d-6e46e909.dmp
[task 2017-03-09T13:46:14.140190Z] 13:46:14     INFO - REFTEST INFO | Saved app info as /home/worker/workspace/build/blobber_upload_dir/58519b88-24e6-5a1a-055f449d-6e46e909.extra
[task 2017-03-09T13:46:14.463674Z] 13:46:14     INFO - REFTEST PROCESS-CRASH | file:///home/worker/workspace/build/tests/reftest/tests/dom/media/test/crashtests/1343550.html | application crashed [@ linux-gate.so + 0x440]
[task 2017-03-09T13:46:14.465346Z] 13:46:14     INFO - Crash dump filename: /tmp/tmpi3tmse.mozrunner/minidumps/58519b88-24e6-5a1a-055f449d-6e46e909.dmp
[task 2017-03-09T13:46:14.466501Z] 13:46:14     INFO - Operating system: Linux
[task 2017-03-09T13:46:14.467669Z] 13:46:14     INFO -                   0.0.0 Linux 3.13.0-107-generic #154-Ubuntu SMP Tue Dec 20 09:57:27 UTC 2016 x86_64
[task 2017-03-09T13:46:14.468815Z] 13:46:14     INFO - CPU: x86
[task 2017-03-09T13:46:14.469615Z] 13:46:14     INFO -      GenuineIntel family 6 model 62 stepping 4
[task 2017-03-09T13:46:14.470595Z] 13:46:14     INFO -      2 CPUs
[task 2017-03-09T13:46:14.471708Z] 13:46:14     INFO - 
[task 2017-03-09T13:46:14.472696Z] 13:46:14     INFO - GPU: UNKNOWN
[task 2017-03-09T13:46:14.473796Z] 13:46:14     INFO - 
[task 2017-03-09T13:46:14.474855Z] 13:46:14     INFO - Crash reason:  SIGABRT
[task 2017-03-09T13:46:14.475795Z] 13:46:14     INFO - Crash address: 0x3d8
[task 2017-03-09T13:46:14.476845Z] 13:46:14     INFO - Process uptime: not available
[task 2017-03-09T13:46:14.477858Z] 13:46:14     INFO - 
[task 2017-03-09T13:46:14.478773Z] 13:46:14     INFO - Thread 0 (crashed)
[task 2017-03-09T13:46:14.479800Z] 13:46:14     INFO -  0  linux-gate.so + 0x440
[task 2017-03-09T13:46:14.480784Z] 13:46:14     INFO -     eip = 0xf7757440   esp = 0xffc06ec4   ebp = 0xffc06f28   ebx = 0xe3128400
[task 2017-03-09T13:46:14.481727Z] 13:46:14     INFO -     esi = 0xf712d940   edi = 0xe3128400   eax = 0xfffffffc   ecx = 0x00000005
[task 2017-03-09T13:46:14.482678Z] 13:46:14     INFO -     edx = 0xffffffff   efl = 0x00000296
[task 2017-03-09T13:46:14.483624Z] 13:46:14     INFO -     Found by: given as instruction pointer in context
[task 2017-03-09T13:46:14.484617Z] 13:46:14     INFO -  1  libglib-2.0.so.0.4800.2 + 0x4711c
[task 2017-03-09T13:46:14.485507Z] 13:46:14     INFO -     eip = 0xf5e7311c   esp = 0xffc06f30   ebp = 0x00000005
[task 2017-03-09T13:46:14.486454Z] 13:46:14     INFO -     Found by: previous frame's frame pointer
[task 2017-03-09T13:46:14.487385Z] 13:46:14     INFO -  2  libglib-2.0.so.0.4800.2 + 0x8cfec
[task 2017-03-09T13:46:14.488375Z] 13:46:14     INFO -     eip = 0xf5eb8fec   esp = 0xffc06f40   ebp = 0x00000005
[task 2017-03-09T13:46:14.489366Z] 13:46:14     INFO -     Found by: stack scanning
[task 2017-03-09T13:46:14.490316Z] 13:46:14     INFO -  3  libxul.so!nsFilePicker::Done(_GtkWidget*, int)::{lambda(void*)#1}::_FUN(void*) + 0x21
[task 2017-03-09T13:46:14.491251Z] 13:46:14     INFO -     eip = 0xf3020aef   esp = 0xffc06f44   ebp = 0x00000005
[task 2017-03-09T13:46:14.492058Z] 13:46:14     INFO -     Found by: stack scanning
[task 2017-03-09T13:46:14.493105Z] 13:46:14     INFO -  4  libglib-2.0.so.0.4800.2 + 0x1285b0
[task 2017-03-09T13:46:14.494037Z] 13:46:14     INFO -     eip = 0xf5f545b0   esp = 0xffc06f54   ebp = 0x00000005
[task 2017-03-09T13:46:14.494996Z] 13:46:14     INFO -     Found by: stack scanning
[task 2017-03-09T13:46:14.495947Z] 13:46:14     INFO -  5  SYSV00000000 (deleted) + 0x28a300
[task 2017-03-09T13:46:14.496949Z] 13:46:14     INFO -     eip = 0xd927c300   esp = 0xffc06f60   ebp = 0x00000005
[task 2017-03-09T13:46:14.497847Z] 13:46:14     INFO -     Found by: stack scanning
[task 2017-03-09T13:46:14.498764Z] 13:46:14     INFO -  6  libglib-2.0.so.0.4800.2 + 0x46f8d
[task 2017-03-09T13:46:14.499732Z] 13:46:14     INFO -     eip = 0xf5e72f8d   esp = 0xffc06f6c   ebp = 0x00000005
[task 2017-03-09T13:46:14.500652Z] 13:46:14     INFO -     Found by: stack scanning
[task 2017-03-09T13:46:14.501606Z] 13:46:14     INFO -  7  libglib-2.0.so.0.4800.2 + 0x128000
[task 2017-03-09T13:46:14.502492Z] 13:46:14     INFO -     eip = 0xf5f54000   esp = 0xffc06f70   ebp = 0x00000005
[task 2017-03-09T13:46:14.503410Z] 13:46:14     INFO -     Found by: stack scanning
[task 2017-03-09T13:46:14.504275Z] 13:46:14     INFO -  8  libglib-2.0.so.0.4800.2 + 0x47254
[task 2017-03-09T13:46:14.505239Z] 13:46:14     INFO -     eip = 0xf5e73254   esp = 0xffc06f80   ebp = 0xffc06fb8
[task 2017-03-09T13:46:14.506089Z] 13:46:14     INFO -     Found by: stack scanning
[task 2017-03-09T13:46:14.507068Z] 13:46:14     INFO -  9  libxul.so!nsBaseAppShell::DoProcessNextNativeEvent [nsBaseAppShell.cpp:1aa20dad5c31 : 138 + 0xd]
[task 2017-03-09T13:46:14.507924Z] 13:46:14     INFO -     eip = 0xf2ffbd2e   esp = 0xffc06fc0   ebp = 0xffc06fe8
[task 2017-03-09T13:46:14.508976Z] 13:46:14     INFO -     Found by: previous frame's frame pointer
[task 2017-03-09T13:46:14.509882Z] 13:46:14     INFO - 10  libxul.so!nsBaseAppShell::OnProcessNextEvent [nsBaseAppShell.cpp:1aa20dad5c31 : 289 + 0xd]
[task 2017-03-09T13:46:14.510799Z] 13:46:14     INFO -     eip = 0xf2ffbe43   esp = 0xffc06ff0   ebp = 0xffc07028   esi = 0xeaf1b3d0
[task 2017-03-09T13:46:14.511664Z] 13:46:14     INFO -     edi = 0x008021e6
[task 2017-03-09T13:46:14.512591Z] 13:46:14     INFO -     Found by: call frame info
[task 2017-03-09T13:46:14.513515Z] 13:46:14     INFO - 11  libxul.so!nsThread::ProcessNextEvent [nsThread.cpp:1aa20dad5c31 : 1220 + 0xd]
[task 2017-03-09T13:46:14.514436Z] 13:46:14     INFO -     eip = 0xf1caa897   esp = 0xffc07030   ebp = 0xffc070b8   ebx = 0xf56412b4
[task 2017-03-09T13:46:14.515418Z] 13:46:14     INFO -     esi = 0xf7135700   edi = 0xffc07078
[task 2017-03-09T13:46:14.516320Z] 13:46:14     INFO -     Found by: call frame info
[task 2017-03-09T13:46:14.517270Z] 13:46:14     INFO - 12  libxul.so!NS_ProcessNextEvent [nsThreadUtils.cpp:1aa20dad5c31 : 389 + 0x10]
[task 2017-03-09T13:46:14.518225Z] 13:46:14     INFO -     eip = 0xf1cab578   esp = 0xffc070c0   ebp = 0xffc070f8   ebx = 0xf56412b4
[task 2017-03-09T13:46:14.519291Z] 13:46:14     INFO -     esi = 0xf71e8040   edi = 0xf71248a0
[task 2017-03-09T13:46:14.520284Z] 13:46:14     INFO -     Found by: call frame info
[task 2017-03-09T13:46:14.521274Z] 13:46:14     INFO - 13  libxul.so!mozilla::ipc::MessagePump::Run [MessagePump.cpp:1aa20dad5c31 : 124 + 0xc]
[task 2017-03-09T13:46:14.522287Z] 13:46:14     INFO -     eip = 0xf1f91987   esp = 0xffc07100   ebp = 0xffc07148   ebx = 0xf56412b4
[task 2017-03-09T13:46:14.523316Z] 13:46:14     INFO -     esi = 0xf71e8040   edi = 0xf71248a0
[task 2017-03-09T13:46:14.524332Z] 13:46:14     INFO -     Found by: call frame info
[task 2017-03-09T13:46:14.525331Z] 13:46:14     INFO - 14  libxul.so!MessageLoop::RunInternal [message_loop.cc:1aa20dad5c31 : 238 + 0x6]
[task 2017-03-09T13:46:14.526354Z] 13:46:14     INFO -     eip = 0xf1f7c5ce   esp = 0xffc07150   ebp = 0xffc07168   ebx = 0xf56412b4
[task 2017-03-09T13:46:14.527297Z] 13:46:14     INFO -     esi = 0xf71248a0   edi = 0xf7135700
[task 2017-03-09T13:46:14.528366Z] 13:46:14     INFO -     Found by: call frame info
[task 2017-03-09T13:46:14.529381Z] 13:46:14     INFO - 15  libxul.so!MessageLoop::Run [message_loop.cc:1aa20dad5c31 : 231 + 0x7]
[task 2017-03-09T13:46:14.530427Z] 13:46:14     INFO -     eip = 0xf1f7c6c7   esp = 0xffc07170   ebp = 0xffc07198   ebx = 0xf56412b4
[task 2017-03-09T13:46:14.531390Z] 13:46:14     INFO -     esi = 0xf71248a0   edi = 0xf7135700
[task 2017-03-09T13:46:14.532362Z] 13:46:14     INFO -     Found by: call frame info
[task 2017-03-09T13:46:14.533340Z] 13:46:14     INFO - 16  libxul.so!nsBaseAppShell::Run [nsBaseAppShell.cpp:1aa20dad5c31 : 156 + 0xe]
[task 2017-03-09T13:46:14.534375Z] 13:46:14     INFO -     eip = 0xf2ff9ed0   esp = 0xffc071a0   ebp = 0xffc071b8   ebx = 0xf56412b4
[task 2017-03-09T13:46:14.535310Z] 13:46:14     INFO -     esi = 0xeaf1b3d0   edi = 0xf7135700
[task 2017-03-09T13:46:14.536335Z] 13:46:14     INFO -     Found by: call frame info
[task 2017-03-09T13:46:14.537330Z] 13:46:14     INFO - 17  libxul.so!nsAppStartup::Run [nsAppStartup.cpp:1aa20dad5c31 : 283 + 0x6]
[task 2017-03-09T13:46:14.538369Z] 13:46:14     INFO -     eip = 0xf3b08141   esp = 0xffc071c0   ebp = 0xffc071d8   ebx = 0xf56412b4
[task 2017-03-09T13:46:14.539337Z] 13:46:14     INFO -     esi = 0xeaf1a850   edi = 0x00000077
[task 2017-03-09T13:46:14.540357Z] 13:46:14     INFO -     Found by: call frame info
[task 2017-03-09T13:46:14.541353Z] 13:46:14     INFO - 18  libxul.so!XREMain::XRE_mainRun [nsAppRunner.cpp:1aa20dad5c31 : 4476 + 0x8]
[task 2017-03-09T13:46:14.542346Z] 13:46:14     INFO -     eip = 0xf3b66f99   esp = 0xffc071e0   ebp = 0xffc072d8   ebx = 0xf56412b4
[task 2017-03-09T13:46:14.543416Z] 13:46:14     INFO -     esi = 0xffc0724c   edi = 0x00000077
[task 2017-03-09T13:46:14.544403Z] 13:46:14     INFO -     Found by: call frame info
[task 2017-03-09T13:46:14.545395Z] 13:46:14     INFO - 19  libxul.so!XREMain::XRE_main [nsAppRunner.cpp:1aa20dad5c31 : 4654 + 0x9]
[task 2017-03-09T13:46:14.546411Z] 13:46:14     INFO -     eip = 0xf3b67562   esp = 0xffc072e0   ebp = 0xffc07338   ebx = 0xf56412b4
[task 2017-03-09T13:46:14.547345Z] 13:46:14     INFO -     esi = 0xffc07370   edi = 0x00000000
[task 2017-03-09T13:46:14.548373Z] 13:46:14     INFO -     Found by: call frame info
[task 2017-03-09T13:46:14.549492Z] 13:46:14     INFO - 20  libxul.so!XRE_main [nsAppRunner.cpp:1aa20dad5c31 : 4745 + 0x6]
[task 2017-03-09T13:46:14.550464Z] 13:46:14     INFO -     eip = 0xf3b677a3   esp = 0xffc07340   ebp = 0xffc07498   ebx = 0x08068390
[task 2017-03-09T13:46:14.551410Z] 13:46:14     INFO -     esi = 0xffc07370   edi = 0xffc085d4
[task 2017-03-09T13:46:14.552394Z] 13:46:14     INFO -     Found by: call frame info
[task 2017-03-09T13:46:14.553432Z] 13:46:14     INFO - 21  firefox!do_main [nsBrowserApp.cpp:1aa20dad5c31 : 236 + 0xf]
[task 2017-03-09T13:46:14.554415Z] 13:46:14     INFO -     eip = 0x0804ce48   esp = 0xffc074a0   ebp = 0xffc084d8   ebx = 0x08068390
[task 2017-03-09T13:46:14.555372Z] 13:46:14     INFO -     esi = 0x00000004   edi = 0xffc085d4
[task 2017-03-09T13:46:14.556430Z] 13:46:14     INFO -     Found by: call frame info
[task 2017-03-09T13:46:14.557413Z] 13:46:14     INFO - 22  firefox!main [nsBrowserApp.cpp:1aa20dad5c31 : 307 + 0xd]
[task 2017-03-09T13:46:14.558448Z] 13:46:14     INFO -     eip = 0x0804c638   esp = 0xffc084e0   ebp = 0xffc08528   ebx = 0x08068390
[task 2017-03-09T13:46:14.559456Z] 13:46:14     INFO -     esi = 0xffc085d4   edi = 0x00000004
[task 2017-03-09T13:46:14.560524Z] 13:46:14     INFO -     Found by: call frame info
[task 2017-03-09T13:46:14.561528Z] 13:46:14     INFO - 23  libc-2.23.so + 0x18637
[task 2017-03-09T13:46:14.562558Z] 13:46:14     INFO -     eip = 0xf735d637   esp = 0xffc08530   ebp = 0x00000000
[task 2017-03-09T13:46:14.563606Z] 13:46:14     INFO -     Found by: previous frame's frame pointer
[task 2017-03-09T13:46:14.564640Z] 13:46:14     INFO - 24  libc-2.23.so + 0x1b2000
[task 2017-03-09T13:46:14.565635Z] 13:46:14     INFO -     eip = 0xf74f7000   esp = 0xffc08534   ebp = 0x00000000
[task 2017-03-09T13:46:14.566640Z] 13:46:14     INFO -     Found by: stack scanning
[task 2017-03-09T13:46:14.567610Z] 13:46:14     INFO - 25  libc-2.23.so + 0x1b2000
[task 2017-03-09T13:46:14.568649Z] 13:46:14     INFO -     eip = 0xf74f7000   esp = 0xffc08538   ebp = 0x00000000
[task 2017-03-09T13:46:14.569682Z] 13:46:14     INFO -     Found by: stack scanning
[task 2017-03-09T13:46:14.570668Z] 13:46:14     INFO - 26  libc-2.23.so + 0x18637
[task 2017-03-09T13:46:14.571683Z] 13:46:14     INFO -     eip = 0xf735d637   esp = 0xffc08540   ebp = 0x00000000
[task 2017-03-09T13:46:14.572659Z] 13:46:14     INFO -     Found by: stack scanning
[task 2017-03-09T13:46:14.573681Z] 13:46:14     INFO - 27  libc-2.23.so + 0x1b2000
[task 2017-03-09T13:46:14.574658Z] 13:46:14     INFO -     eip = 0xf74f7000   esp = 0xffc0855c   ebp = 0x00000000
[task 2017-03-09T13:46:14.575660Z] 13:46:14     INFO -     Found by: stack scanning
[task 2017-03-09T13:46:14.576628Z] 13:46:14     INFO - 28  libc-2.23.so + 0x1b2000
[task 2017-03-09T13:46:14.577669Z] 13:46:14     INFO -     eip = 0xf74f7000   esp = 0xffc0856c   ebp = 0x00000000
[task 2017-03-09T13:46:14.578683Z] 13:46:14     INFO -     Found by: stack scanning
[task 2017-03-09T13:46:14.579695Z] 13:46:14     INFO - 29  libc-2.23.so + 0x1b2000
[task 2017-03-09T13:46:14.580729Z] 13:46:14     INFO -     eip = 0xf74f7000   esp = 0xffc08570   ebp = 0x00000000
[task 2017-03-09T13:46:14.581688Z] 13:46:14     INFO -     Found by: stack scanning
[task 2017-03-09T13:46:14.582704Z] 13:46:14     INFO - 30  firefox + 0x48d4
[task 2017-03-09T13:46:14.583697Z] 13:46:14     INFO -     eip = 0x0804c8d4   esp = 0xffc08590   ebp = 0x00000000
[task 2017-03-09T13:46:14.584768Z] 13:46:14     INFO -     Found by: stack scanning
[task 2017-03-09T13:46:14.585786Z] 13:46:14     INFO - 31  ld-2.23.so + 0x14f10
[task 2017-03-09T13:46:14.586794Z] 13:46:14     INFO -     eip = 0xf7749f10   esp = 0xffc08598   ebp = 0x00000000
[task 2017-03-09T13:46:14.587763Z] 13:46:14     INFO -     Found by: stack scanning
[task 2017-03-09T13:46:14.588768Z] 13:46:14     INFO - 32  ld-2.23.so + 0xf780
[task 2017-03-09T13:46:14.589801Z] 13:46:14     INFO -     eip = 0xf7744780   esp = 0xffc0859c   ebp = 0x00000000
[task 2017-03-09T13:46:14.590821Z] 13:46:14     INFO -     Found by: stack scanning
[task 2017-03-09T13:46:14.591797Z] 13:46:14     INFO - 33  firefox + 0x48d4
[task 2017-03-09T13:46:14.592826Z] 13:46:14     INFO -     eip = 0x0804c8d4   esp = 0xffc085a8   ebp = 0x00000000
[task 2017-03-09T13:46:14.593820Z] 13:46:14     INFO -     Found by: stack scanning
[task 2017-03-09T13:46:14.594802Z] 13:46:14     INFO - 34  firefox!_start + 0x21
[task 2017-03-09T13:46:14.595855Z] 13:46:14     INFO -     eip = 0x0804c8f5   esp = 0xffc085b0   ebp = 0x00000000
[task 2017-03-09T13:46:14.596805Z] 13:46:14     INFO -     Found by: stack scanning
[task 2017-03-09T13:46:14.597775Z] 13:46:14     INFO - 35  firefox!SSE2Check [nsBrowserApp.cpp:1aa20dad5c31 : 92 + 0x8]
[task 2017-03-09T13:46:14.598799Z] 13:46:14     INFO -     eip = 0x0804c5a3   esp = 0xffc085b4   ebp = 0x00000000
[task 2017-03-09T13:46:14.599756Z] 13:46:14     INFO -     Found by: stack scanning
[task 2017-03-09T13:46:14.600758Z] 13:46:14     INFO - 36  firefox!__libc_csu_fini + 0x10
[task 2017-03-09T13:46:14.601776Z] 13:46:14     INFO -     eip = 0x08061310   esp = 0xffc085c0   ebp = 0xffc085d4
[task 2017-03-09T13:46:14.602760Z] 13:46:14     INFO -     Found by: stack scanning
[task 2017-03-09T13:46:14.603727Z] 13:46:14     INFO - 37  0xffc0a677
[task 2017-03-09T13:46:14.604780Z] 13:46:14     INFO -     eip = 0xffc0a677   esp = 0xffc085dc   ebp = 0xffc0a63e
[task 2017-03-09T13:46:14.605736Z] 13:46:14     INFO -     Found by: previous frame's frame pointer
[task 2017-03-09T13:46:14.606746Z] 13:46:14     INFO - 38  0x6f772f65
[task 2017-03-09T13:46:14.607738Z] 13:46:14     INFO -     eip = 0x6f772f65   esp = 0xffc0a646   ebp = 0x6d6f682f
[task 2017-03-09T13:46:14.608659Z] 13:46:14     INFO -     Found by: previous frame's frame pointer
Flags: needinfo?(padenot)
Attachment #8844420 - Attachment is obsolete: true
Comment on attachment 8844419 [details]
Bug 1343550 - Prevent creating AudioNodes on an AudioContext that has been disconnected from its owner.

Is there a better way to do this ?
Flags: needinfo?(padenot)
Attachment #8844419 - Flags: review+ → review?(amarchesini)
Comment on attachment 8844419 [details]
Bug 1343550 - Prevent creating AudioNodes on an AudioContext that has been disconnected from its owner.

https://reviewboard.mozilla.org/r/117894/#review121914

::: dom/media/webaudio/AudioContext.cpp:660
(Diff revision 2)
>    mIsShutDown = true;
>  
> +  // We don't want to touch promises if the global is going away soon.
> +  if (mIsDisconnecting) {
> -  if (!mIsOffline) {
> +    if (!mIsOffline) {
> -    ErrorResult dummy;
> +      ErrorResult dummy;

IgnoredErrorResult dummy;

and no SuppressException()
Attachment #8844419 - Flags: review?(amarchesini) → review+
Pushed by paul@paul.cx:
https://hg.mozilla.org/integration/mozilla-inbound/rev/69cd9c72bd4e
Prevent creating AudioNodes on an AudioContext that has been disconnected from its owner. r=baku
Backed out for failing e.g. crashtest 812785.html:

https://hg.mozilla.org/integration/mozilla-inbound/rev/141d25bf6372bc0fe2e42d4142d827a0c804ac0d

Push with failures: https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&revision=69cd9c72bd4ed419e3f7f7b5ab64ee0fa8bd89a2&filter-resultStatus=runnable&filter-resultStatus=testfailed&filter-resultStatus=busted&filter-resultStatus=exception&filter-resultStatus=retry

Failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=83712327&repo=mozilla-inbound

[task 2017-03-14T15:14:48.835579Z] 15:14:48     INFO - REFTEST TEST-START | file:///home/worker/workspace/build/tests/reftest/tests/dom/media/test/crashtests/1041466.html
[task 2017-03-14T15:14:48.836440Z] 15:14:48     INFO - REFTEST INFO | RESTORE PREFERENCE pref(media.navigator.permission.disabled,false)
[task 2017-03-14T15:14:48.837318Z] 15:14:48     INFO - REFTEST TEST-LOAD | file:///home/worker/workspace/build/tests/reftest/tests/dom/media/test/crashtests/1041466.html | 508 / 3176 (15%)
[task 2017-03-14T15:14:49.016999Z] 15:14:49     INFO - ###!!! [Parent][MessageChannel] Error: (msgtype=0x2C0082,name=PBrowser::Msg_Destroy) Channel error: cannot send/recv
[task 2017-03-14T15:14:49.017134Z] 15:14:49     INFO - JavaScript error: resource://app/modules/ContentCrashHandlers.jsm, line 137: TypeError: WeakMap key must be an object, got undefined
[task 2017-03-14T15:20:19.022085Z] 15:20:19    ERROR - REFTEST ERROR | file:///home/worker/workspace/build/tests/reftest/tests/dom/media/test/crashtests/1041466.html | application timed out after 330 seconds with no output
[task 2017-03-14T15:20:19.024488Z] 15:20:19    ERROR - REFTEST ERROR | Force-terminating active process(es).
[task 2017-03-14T15:20:19.025698Z] 15:20:19     INFO - REFTEST TEST-INFO | started process screentopng
[task 2017-03-14T15:20:19.397854Z] 15:20:19     INFO - REFTEST TEST-INFO | screentopng: exit 0
[task 2017-03-14T15:20:19.548776Z] 15:20:19     INFO - TEST-UNEXPECTED-FAIL | file:///home/worker/workspace/build/tests/reftest/tests/dom/media/test/crashtests/1041466.html | application terminated with exit code 6
[task 2017-03-14T15:20:19.550107Z] 15:20:19     INFO - REFTEST INFO | Copy/paste: /usr/local/bin/linux64-minidump_stackwalk /tmp/tmpXCE2YG.mozrunner/minidumps/3be0af1a-2612-665e-233fd0df-15e65d9c.dmp /home/worker/workspace/build/symbols
[task 2017-03-14T15:20:26.026197Z] 15:20:26     INFO - REFTEST INFO | Saved minidump as /home/worker/workspace/build/blobber_upload_dir/3be0af1a-2612-665e-233fd0df-15e65d9c.dmp
[task 2017-03-14T15:20:26.028267Z] 15:20:26     INFO - REFTEST INFO | Saved app info as /home/worker/workspace/build/blobber_upload_dir/3be0af1a-2612-665e-233fd0df-15e65d9c.extra
[task 2017-03-14T15:20:26.277491Z] 15:20:26     INFO - REFTEST PROCESS-CRASH | file:///home/worker/workspace/build/tests/reftest/tests/dom/media/test/crashtests/1041466.html | application crashed [@ mozilla::RefPtrTraits<nsIGlobalObject>::Release]
[task 2017-03-14T15:20:26.278706Z] 15:20:26     INFO - Crash dump filename: /tmp/tmpXCE2YG.mozrunner/minidumps/3be0af1a-2612-665e-233fd0df-15e65d9c.dmp
[task 2017-03-14T15:20:26.279744Z] 15:20:26     INFO - Operating system: Linux
[task 2017-03-14T15:20:26.280695Z] 15:20:26     INFO -                   0.0.0 Linux 3.13.0-107-generic #154-Ubuntu SMP Tue Dec 20 09:57:27 UTC 2016 x86_64
[task 2017-03-14T15:20:26.281753Z] 15:20:26     INFO - CPU: amd64
[task 2017-03-14T15:20:26.282681Z] 15:20:26     INFO -      family 6 model 62 stepping 4
[task 2017-03-14T15:20:26.283782Z] 15:20:26     INFO -      2 CPUs
[task 2017-03-14T15:20:26.284813Z] 15:20:26     INFO - 
[task 2017-03-14T15:20:26.285858Z] 15:20:26     INFO - GPU: UNKNOWN
[task 2017-03-14T15:20:26.286711Z] 15:20:26     INFO - 
[task 2017-03-14T15:20:26.287753Z] 15:20:26     INFO - Crash reason:  SIGSEGV
[task 2017-03-14T15:20:26.288860Z] 15:20:26     INFO - Crash address: 0x0
[task 2017-03-14T15:20:26.297578Z] 15:20:26     INFO - Process uptime: not available
[task 2017-03-14T15:20:26.306538Z] 15:20:26     INFO - 
[task 2017-03-14T15:20:26.307773Z] 15:20:26     INFO - Thread 0 (crashed)
[task 2017-03-14T15:20:26.308796Z] 15:20:26     INFO -  0  libxul.so!mozilla::RefPtrTraits<nsIGlobalObject>::Release [RefPtr.h:69cd9c72bd4e : 40 + 0x0]
[task 2017-03-14T15:20:26.312476Z] 15:20:26     INFO -     rax = 0xe5e5e5e5e5e5e5e5   rdx = 0x0000000000000000
[task 2017-03-14T15:20:26.313063Z] 15:20:26     INFO -     rcx = 0x0000000000000008   rbx = 0x00007f3573b0f4c0
[task 2017-03-14T15:20:26.313542Z] 15:20:26     INFO -     rsi = 0x0000000000000000   rdi = 0x00007f3577874910
[task 2017-03-14T15:20:26.314142Z] 15:20:26     INFO -     rbp = 0x00007ffe7f1f79c0   rsp = 0x00007ffe7f1f79a8
[task 2017-03-14T15:20:26.314965Z] 15:20:26     INFO -      r8 = 0x0000000000000000    r9 = 0x0000000000000008
[task 2017-03-14T15:20:26.315586Z] 15:20:26     INFO -     r10 = 0x00007f35891e6d01   r11 = 0x00007f359f4f7390
[task 2017-03-14T15:20:26.316344Z] 15:20:26     INFO -     r12 = 0x00007ffe7f1f7a88   r13 = 0x00007f35731bf140
[task 2017-03-14T15:20:26.316996Z] 15:20:26     INFO -     r14 = 0x00000000000000b7   r15 = 0x00007ffe7f1f7a08
[task 2017-03-14T15:20:26.317763Z] 15:20:26     INFO -     rip = 0x00007f35910b873e
[task 2017-03-14T15:20:26.318413Z] 15:20:26     INFO -     Found by: given as instruction pointer in context
[task 2017-03-14T15:20:26.319265Z] 15:20:26     INFO -  1  libxul.so!mozilla::dom::Promise::~Promise [RefPtr.h:69cd9c72bd4e : 395 + 0x5]
[task 2017-03-14T15:20:26.320183Z] 15:20:26     INFO -     rbx = 0x00007f3573b0f4c0   rbp = 0x00007ffe7f1f79c0
[task 2017-03-14T15:20:26.320865Z] 15:20:26     INFO -     rsp = 0x00007ffe7f1f79b0   r12 = 0x00007ffe7f1f7a88
[task 2017-03-14T15:20:26.321619Z] 15:20:26     INFO -     r13 = 0x00007f35731bf140   r14 = 0x00000000000000b7
[task 2017-03-14T15:20:26.322252Z] 15:20:26     INFO -     r15 = 0x00007ffe7f1f7a08   rip = 0x00007f3591663fcd
[task 2017-03-14T15:20:26.323039Z] 15:20:26     INFO -     Found by: call frame info
[task 2017-03-14T15:20:26.323678Z] 15:20:26     INFO -  2  libxul.so!mozilla::dom::Promise::~Promise [Promise.cpp:69cd9c72bd4e : 91 + 0x5]
[task 2017-03-14T15:20:26.324493Z] 15:20:26     INFO -     rbx = 0x00007f3573b0f4c0   rbp = 0x00007ffe7f1f79e0
[task 2017-03-14T15:20:26.325135Z] 15:20:26     INFO -     rsp = 0x00007ffe7f1f79d0   r12 = 0x00007ffe7f1f7a88
[task 2017-03-14T15:20:26.325907Z] 15:20:26     INFO -     r13 = 0x00007f35731bf140   r14 = 0x00000000000000b7
[task 2017-03-14T15:20:26.326564Z] 15:20:26     INFO -     r15 = 0x00007ffe7f1f7a08   rip = 0x00007f3591663fe8
[task 2017-03-14T15:20:26.327318Z] 15:20:26     INFO -     Found by: call frame info
[task 2017-03-14T15:20:26.328137Z] 15:20:26     INFO -  3  libxul.so!SnowWhiteKiller::~SnowWhiteKiller [nsCycleCollector.cpp:69cd9c72bd4e : 2664 + 0xe]
[task 2017-03-14T15:20:26.328780Z] 15:20:26     INFO -     rbx = 0x00007f35731be000   rbp = 0x00007ffe7f1f7a40
[task 2017-03-14T15:20:26.329421Z] 15:20:26     INFO -     rsp = 0x00007ffe7f1f79f0   r12 = 0x00007ffe7f1f7a88
[task 2017-03-14T15:20:26.330211Z] 15:20:26     INFO -     r13 = 0x00007f35731bf140   r14 = 0x00000000000000b7
[task 2017-03-14T15:20:26.330855Z] 15:20:26     INFO -     r15 = 0x00007ffe7f1f7a08   rip = 0x00007f358fde8074
[task 2017-03-14T15:20:26.331614Z] 15:20:26     INFO -     Found by: call frame info
[task 2017-03-14T15:20:26.332296Z] 15:20:26     INFO -  4  libxul.so!nsCycleCollector::FreeSnowWhite [nsCycleCollector.cpp:69cd9c72bd4e : 2838 + 0x5]
[task 2017-03-14T15:20:26.333037Z] 15:20:26     INFO -     rbx = 0x00007ffe7f1f7a88   rbp = 0x00007ffe7f1f7ae0
[task 2017-03-14T15:20:26.333763Z] 15:20:26     INFO -     rsp = 0x00007ffe7f1f7a50   r12 = 0x00007f358cde0000
[task 2017-03-14T15:20:26.334527Z] 15:20:26     INFO -     r13 = 0x0000000000000001   r14 = 0x00007ffe7f1f7b00
[task 2017-03-14T15:20:26.335155Z] 15:20:26     INFO -     r15 = 0x00007ffe7f1f7a78   rip = 0x00007f358fde8296
[task 2017-03-14T15:20:26.335926Z] 15:20:26     INFO -     Found by: call frame info
[task 2017-03-14T15:20:26.336565Z] 15:20:26     INFO -  5  libxul.so!AsyncFreeSnowWhite::Run [XPCJSContext.cpp:69cd9c72bd4e : 146 + 0x5]
[task 2017-03-14T15:20:26.337325Z] 15:20:26     INFO -     rbx = 0x00007f358bed1ac0   rbp = 0x00007ffe7f1f7b20
[task 2017-03-14T15:20:26.338111Z] 15:20:26     INFO -     rsp = 0x00007ffe7f1f7af0   r12 = 0x00007ffe7f1f7b70
[task 2017-03-14T15:20:26.338611Z] 15:20:26     INFO -     r13 = 0x00007ffe7f1f7ba8   r14 = 0x00007ffe7f1f7b50
[task 2017-03-14T15:20:26.339433Z] 15:20:26     INFO -     r15 = 0x00007ffe7f1f7c1f   rip = 0x00007f35904b9e27
[task 2017-03-14T15:20:26.340241Z] 15:20:26     INFO -     Found by: call frame info
[task 2017-03-14T15:20:26.341055Z] 15:20:26     INFO -  6  libxul.so!nsThread::ProcessNextEvent [nsThread.cpp:69cd9c72bd4e : 1269 + 0x6]
[task 2017-03-14T15:20:26.341830Z] 15:20:26     INFO -     rbx = 0x00007f358cd7c300   rbp = 0x00007ffe7f1f7c00
[task 2017-03-14T15:20:26.342793Z] 15:20:26     INFO -     rsp = 0x00007ffe7f1f7b30   r12 = 0x00007ffe7f1f7b70
[task 2017-03-14T15:20:26.343654Z] 15:20:26     INFO -     r13 = 0x00007ffe7f1f7ba8   r14 = 0x00007ffe7f1f7b50
[task 2017-03-14T15:20:26.344592Z] 15:20:26     INFO -     r15 = 0x00007ffe7f1f7c1f   rip = 0x00007f358fe43aa5
[task 2017-03-14T15:20:26.345371Z] 15:20:26     INFO -     Found by: call frame info
[task 2017-03-14T15:20:26.346421Z] 15:20:26     INFO -  7  libxul.so!NS_ProcessNextEvent [nsThreadUtils.cpp:69cd9c72bd4e : 389 + 0x11]
[task 2017-03-14T15:20:26.347163Z] 15:20:26     INFO -     rbx = 0x00007f358cd7c300   rbp = 0x00007ffe7f1f7c30
[task 2017-03-14T15:20:26.348190Z] 15:20:26     INFO -     rsp = 0x00007ffe7f1f7c10   r12 = 0x0000000000000000
[task 2017-03-14T15:20:26.348932Z] 15:20:26     INFO -     r13 = 0x00007f359f1c1900   r14 = 0x00007f358cd7c300
[task 2017-03-14T15:20:26.349905Z] 15:20:26     INFO -     r15 = 0x00007f359f1ff001   rip = 0x00007f358fe45b9a
[task 2017-03-14T15:20:26.350756Z] 15:20:26     INFO -     Found by: call frame info
[task 2017-03-14T15:20:26.351741Z] 15:20:26     INFO -  8  libxul.so!mozilla::ipc::MessagePump::Run [MessagePump.cpp:69cd9c72bd4e : 96 + 0xa]
[task 2017-03-14T15:20:26.352493Z] 15:20:26     INFO -     rbx = 0x00007f359f1c18d0   rbp = 0x00007ffe7f1f7ca0
[task 2017-03-14T15:20:26.353526Z] 15:20:26     INFO -     rsp = 0x00007ffe7f1f7c40   r12 = 0x00007ffe7f1f7f08
[task 2017-03-14T15:20:26.354166Z] 15:20:26     INFO -     r13 = 0x00007f359f1c1900   r14 = 0x00007f358cd7c300
[task 2017-03-14T15:20:26.354712Z] 15:20:26     INFO -     r15 = 0x00007f359f1ff001   rip = 0x00007f35901dfd85
[task 2017-03-14T15:20:26.355816Z] 15:20:26     INFO -     Found by: call frame info
[task 2017-03-14T15:20:26.356716Z] 15:20:26     INFO -  9  libxul.so!MessageLoop::RunInternal [message_loop.cc:69cd9c72bd4e : 238 + 0x17]
[task 2017-03-14T15:20:26.357313Z] 15:20:26     INFO -     rbx = 0x00007ffe7f1f7f08   rbp = 0x00007ffe7f1f7ce0
[task 2017-03-14T15:20:26.357967Z] 15:20:26     INFO -     rsp = 0x00007ffe7f1f7cb0   r12 = 0x00007f358cd7c300
[task 2017-03-14T15:20:26.358608Z] 15:20:26     INFO -     r13 = 0x00007ffe7f1f7f08   r14 = 0x00007f359f1c18d0
[task 2017-03-14T15:20:26.359437Z] 15:20:26     INFO -     r15 = 0x00007f359f1ff000   rip = 0x00007f35901b04d3
[task 2017-03-14T15:20:26.360049Z] 15:20:26     INFO -     Found by: call frame info
[task 2017-03-14T15:20:26.360790Z] 15:20:26     INFO - 10  libxul.so!MessageLoop::Run [message_loop.cc:69cd9c72bd4e : 231 + 0x8]
[task 2017-03-14T15:20:26.361436Z] 15:20:26     INFO -     rbx = 0x00007ffe7f1f7f08   rbp = 0x00007ffe7f1f7d20
[task 2017-03-14T15:20:26.362038Z] 15:20:26     INFO -     rsp = 0x00007ffe7f1f7cf0   r12 = 0x00007f358cd7c300
[task 2017-03-14T15:20:26.362675Z] 15:20:26     INFO -     r13 = 0x00007ffe7f1f7f08   r14 = 0x00007f359f1c18d0
[task 2017-03-14T15:20:26.363465Z] 15:20:26     INFO -     r15 = 0x00007f359f1ff000   rip = 0x00007f35901b04fa
[task 2017-03-14T15:20:26.364110Z] 15:20:26     INFO -     Found by: call frame info
[task 2017-03-14T15:20:26.364868Z] 15:20:26     INFO - 11  libxul.so!nsBaseAppShell::Run [nsBaseAppShell.cpp:69cd9c72bd4e : 156 + 0xd]
[task 2017-03-14T15:20:26.365525Z] 15:20:26     INFO -     rbx = 0x00007f3587ce4c10   rbp = 0x00007ffe7f1f7d40
[task 2017-03-14T15:20:26.366274Z] 15:20:26     INFO -     rsp = 0x00007ffe7f1f7d30   r12 = 0x00007f358cd7c300
[task 2017-03-14T15:20:26.366893Z] 15:20:26     INFO -     r13 = 0x00007ffe7f1f7f08   r14 = 0x00007f359f1c18d0
[task 2017-03-14T15:20:26.367656Z] 15:20:26     INFO -     r15 = 0x00007f359f1ff000   rip = 0x00007f35917cb8b7
[task 2017-03-14T15:20:26.368318Z] 15:20:26     INFO -     Found by: call frame info
[task 2017-03-14T15:20:26.368947Z] 15:20:26     INFO - 12  libxul.so!XRE_RunAppShell [nsEmbedFunctions.cpp:69cd9c72bd4e : 871 + 0x6]
[task 2017-03-14T15:20:26.369597Z] 15:20:26     INFO -     rbx = 0x00007ffe7f1f7d68   rbp = 0x00007ffe7f1f7d80
[task 2017-03-14T15:20:26.370235Z] 15:20:26     INFO -     rsp = 0x00007ffe7f1f7d50   r12 = 0x00007ffe7f1f7e70
[task 2017-03-14T15:20:26.370956Z] 15:20:26     INFO -     r13 = 0x00007ffe7f1f7f08   r14 = 0x00007f359f1c18d0
[task 2017-03-14T15:20:26.371787Z] 15:20:26     INFO -     r15 = 0x00007f359f1ff000   rip = 0x00007f359258adaf
[task 2017-03-14T15:20:26.372534Z] 15:20:26     INFO -     Found by: call frame info
[task 2017-03-14T15:20:26.373310Z] 15:20:26     INFO - 13  libxul.so!mozilla::ipc::MessagePumpForChildProcess::Run [MessagePump.cpp:69cd9c72bd4e : 269 + 0x5]
[task 2017-03-14T15:20:26.374233Z] 15:20:26     INFO -     rbx = 0x00007ffe7f1f7f08   rbp = 0x00007ffe7f1f7db0
[task 2017-03-14T15:20:26.374984Z] 15:20:26     INFO -     rsp = 0x00007ffe7f1f7d90   r12 = 0x00007ffe7f1f7e70
[task 2017-03-14T15:20:26.375693Z] 15:20:26     INFO -     r13 = 0x00007ffe7f1f7f08   r14 = 0x00007f359f1c18d0
[task 2017-03-14T15:20:26.376450Z] 15:20:26     INFO -     r15 = 0x00007f359f1ff000   rip = 0x00007f35901dfea5
[task 2017-03-14T15:20:26.377440Z] 15:20:26     INFO -     Found by: call frame info
[task 2017-03-14T15:20:26.378185Z] 15:20:26     INFO - 14  libxul.so!MessageLoop::RunInternal [message_loop.cc:69cd9c72bd4e : 238 + 0x17]
[task 2017-03-14T15:20:26.378847Z] 15:20:26     INFO -     rbx = 0x00007ffe7f1f7f08   rbp = 0x00007ffe7f1f7df0
[task 2017-03-14T15:20:26.379639Z] 15:20:26     INFO -     rsp = 0x00007ffe7f1f7dc0   r12 = 0x00007ffe7f1f7e70
[task 2017-03-14T15:20:26.380580Z] 15:20:26     INFO -     r13 = 0x00007ffe7f1f7f08   r14 = 0x00000000000003ec
[task 2017-03-14T15:20:26.381301Z] 15:20:26     INFO -     r15 = 0x00007f359f1ff000   rip = 0x00007f35901b04d3
[task 2017-03-14T15:20:26.382104Z] 15:20:26     INFO -     Found by: call frame info
[task 2017-03-14T15:20:26.382970Z] 15:20:26     INFO - 15  libxul.so!MessageLoop::Run [message_loop.cc:69cd9c72bd4e : 231 + 0x8]
[task 2017-03-14T15:20:26.383432Z] 15:20:26     INFO -     rbx = 0x00007ffe7f1f7f08   rbp = 0x00007ffe7f1f7e30
[task 2017-03-14T15:20:26.384191Z] 15:20:26     INFO -     rsp = 0x00007ffe7f1f7e00   r12 = 0x00007ffe7f1f7e70
[task 2017-03-14T15:20:26.384853Z] 15:20:26     INFO -     r13 = 0x00007ffe7f1f7f08   r14 = 0x00000000000003ec
[task 2017-03-14T15:20:26.385850Z] 15:20:26     INFO -     r15 = 0x00007f359f1ff000   rip = 0x00007f35901b04fa
[task 2017-03-14T15:20:26.386634Z] 15:20:26     INFO -     Found by: call frame info
[task 2017-03-14T15:20:26.387615Z] 15:20:26     INFO - 16  libxul.so!XRE_InitChildProcess [nsEmbedFunctions.cpp:69cd9c72bd4e : 695 + 0x8]
[task 2017-03-14T15:20:26.388441Z] 15:20:26     INFO -     rbx = 0x00007ffe7f1f8228   rbp = 0x00007ffe7f1f80d0
[task 2017-03-14T15:20:26.389298Z] 15:20:26     INFO -     rsp = 0x00007ffe7f1f7e40   r12 = 0x00007ffe7f1f7e70
[task 2017-03-14T15:20:26.389775Z] 15:20:26     INFO -     r13 = 0x00007ffe7f1f7f08   r14 = 0x00000000000003ec
[task 2017-03-14T15:20:26.390504Z] 15:20:26     INFO -     r15 = 0x00007f359f1ff000   rip = 0x00007f359258b1ec
[task 2017-03-14T15:20:26.391122Z] 15:20:26     INFO -     Found by: call frame info
[task 2017-03-14T15:20:26.392135Z] 15:20:26     INFO - 17  firefox!content_process_main [plugin-container.cpp:69cd9c72bd4e : 64 + 0x13]
[task 2017-03-14T15:20:26.392888Z] 15:20:26     INFO -     rbx = 0x0000000000000013   rbp = 0x00007ffe7f1f8110
[task 2017-03-14T15:20:26.393563Z] 15:20:26     INFO -     rsp = 0x00007ffe7f1f80e0   r12 = 0x00007f359f1b70b0
[task 2017-03-14T15:20:26.394326Z] 15:20:26     INFO -     r13 = 0x00007ffe7f1f8228   r14 = 0x0000013a3b5742c1
[task 2017-03-14T15:20:26.395028Z] 15:20:26     INFO -     r15 = 0x0000000000000000   rip = 0x000000000040624d
[task 2017-03-14T15:20:26.395720Z] 15:20:26     INFO -     Found by: call frame info
[task 2017-03-14T15:20:26.396439Z] 15:20:26     INFO - 18  firefox!main [nsBrowserApp.cpp:69cd9c72bd4e : 286 + 0x12]
[task 2017-03-14T15:20:26.397127Z] 15:20:26     INFO -     rbx = 0x00007ffe7f1f8228   rbp = 0x00007ffe7f1f8140
[task 2017-03-14T15:20:26.397834Z] 15:20:26     INFO -     rsp = 0x00007ffe7f1f8120   r12 = 0x0000000000000014
[task 2017-03-14T15:20:26.398568Z] 15:20:26     INFO -     r13 = 0x00007ffe7f1f82d0   r14 = 0x0000013a3b5742c1
[task 2017-03-14T15:20:26.399260Z] 15:20:26     INFO -     r15 = 0x0000000000000000   rip = 0x0000000000405c8c
[task 2017-03-14T15:20:26.400032Z] 15:20:26     INFO -     Found by: call frame info
[task 2017-03-14T15:20:26.400731Z] 15:20:26     INFO - 19  libc-2.23.so + 0x20830
[task 2017-03-14T15:20:26.401597Z] 15:20:26     INFO -     rbx = 0x0000000000000000   rbp = 0x000000000041da90
[task 2017-03-14T15:20:26.402200Z] 15:20:26     INFO -     rsp = 0x00007ffe7f1f8150   r12 = 0x0000000000405e58
[task 2017-03-14T15:20:26.402788Z] 15:20:26     INFO -     r13 = 0x00007ffe7f1f8220   r14 = 0x0000000000000000
[task 2017-03-14T15:20:26.403327Z] 15:20:26     INFO -     r15 = 0x0000000000000000   rip = 0x00007f359f383830
[task 2017-03-14T15:20:26.403806Z] 15:20:26     INFO -     Found by: call frame info
[task 2017-03-14T15:20:26.404708Z] 15:20:26     INFO - 20  firefox!MOZ_ReportAssertionFailure [Assertions.h:69cd9c72bd4e : 164 + 0x5]
[task 2017-03-14T15:20:26.405432Z] 15:20:26     INFO -     rsp = 0x00007ffe7f1f8170   rip = 0x0000000000405ba3
[task 2017-03-14T15:20:26.406146Z] 15:20:26     INFO -     Found by: stack scanning

Please check the push for more failures.
Flags: needinfo?(padenot)
Pushed by paul@paul.cx:
https://hg.mozilla.org/integration/mozilla-inbound/rev/4f2cd3f715a2
Prevent creating AudioNodes on an AudioContext that has been disconnected from its owner. r=baku
https://hg.mozilla.org/integration/mozilla-inbound/rev/b258ffe9ee50
Crashtest. r=baku
Relanded this, the if() conditions in ::Shutdown was reversed.
Flags: needinfo?(padenot)
Baku, I had to make this a mochitest instead of a crashtest, there is something weird with the `pref()` directive in the crashtest manifest, it does not seem to disable the popup blocker (window.open return null). This works fine.
Flags: needinfo?(padenot)
Comment on attachment 8851495 [details]
Bug 1343550 - Mochitest.

https://reviewboard.mozilla.org/r/123816/#review126218
Attachment #8851495 - Flags: review?(amarchesini) → review+
Pushed by paul@paul.cx:
https://hg.mozilla.org/integration/mozilla-inbound/rev/8e22b608af25
Prevent creating AudioNodes on an AudioContext that has been disconnected from its owner. r=baku
https://hg.mozilla.org/integration/mozilla-inbound/rev/b6c3fcf039a9
Mochitest. r=baku
https://hg.mozilla.org/mozilla-central/rev/8e22b608af25
https://hg.mozilla.org/mozilla-central/rev/b6c3fcf039a9
Status: NEW → RESOLVED
Closed: 2 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla55
I was able to reproduce the crash locally with 53+ (didn't try bisecting the culprit with mozregression, though). Seems worth a backport to Aurora/Beta? I've confirmed that the patch grafts cleanly to both.
Flags: needinfo?(padenot)
Flags: in-testsuite?
Flags: in-testsuite+
Yep, that would be a good thing to uplift. It's quite hard to repro manually (when the popup blocker is enabled), but still.
Flags: needinfo?(padenot)
Comment on attachment 8844419 [details]
Bug 1343550 - Prevent creating AudioNodes on an AudioContext that has been disconnected from its owner.

Approval Request Comment
[Feature/Bug causing the regression]: Long time bug, hard to repro because the popup blocker prevent the pattern causing the crash from happening, most often
[User impact if declined]: Crash on a pointer close to nullptr, but I think it's hard to trigger
[Is this code covered by automated tests?]: Yes, a mochitest has been added (the other patch in this bug)
[Has the fix been verified in Nightly?]: tested manually, unit test landed, been in nightly for some time
[Needs manual test from QE? If yes, steps to reproduce]: no
[List of other uplifts needed for the feature/fix]: none
[Is the change risky?]: Not really
[Why is the change risky/not risky?]: It's not a lot of code, and I've spent tons of time on it trying to repro manually
[String changes made/needed]: none
Attachment #8844419 - Flags: approval-mozilla-beta?
Attachment #8844419 - Flags: approval-mozilla-aurora?
Comment on attachment 8844419 [details]
Bug 1343550 - Prevent creating AudioNodes on an AudioContext that has been disconnected from its owner.

Crash fix, let's take this for beta 8 or 9.
Attachment #8844419 - Flags: approval-mozilla-beta?
Attachment #8844419 - Flags: approval-mozilla-beta+
Attachment #8844419 - Flags: approval-mozilla-aurora?
Attachment #8844419 - Flags: approval-mozilla-aurora+
Depends on: 1351456
Setting qe-verify- based on Paul's assessment on manual testing needs (see Comment 27) and the fact that this fix has automated coverage.
Flags: qe-verify-
You need to log in before you can comment on or make changes to this bug.